Timeshift(1)

NAME
Timeshift -- A Linux application that provides functionality similar to the System Restore feature in Windows and the Time Machine tool in Mac OS

SYNTAX
timeshift --check

timeshift --create [OPTIONS]

timeshift --restore [OPTIONS]

timeshift --delete-[all] [OPTIONS]

timeshift --list-{snapshots|devices} [OPTIONS]

OPTIONS

--list[-snapshots]
    List snapshots.

--list-devices
    List devices.

--check
    Create snapshot if scheduled.

--create
    Create snapshot (even if not scheduled).

--comments <string>
    Set snapshot description.

--tags {O,B,H,D,W,M}
    Add tags to snapshot. (default: O)

--restore
    Restore snapshot.

--clone
    Clone current system.

--snapshot <name>
    Specify snapshot to restore.

--target[-device] <device>
    Specify target device.

--grub[-device] <device>
    Specify device for installing GRUB2 bootloader.

--skip-grub
    Skip GRUB2 reinstall.

--delete
    Delete snapshot.

--delete-all
    Delete all snapshots.

--snapshot-device <device>
    Specify backup device. (default: config)

--yes
    Answer YES to all confirmation prompts.

--btrfs
    Switch to BTRFS mode. (default: config)

--rsync
     Swith to RSYNC. (default: config)

--debug
    Show additional debug messages.

--verbose
    Show rsync output. (default)

--quiet
    Hide rsync output.

--scripted
    Run in non-interactive mode.

--help
    Show all options.

NOTES

1) --create will always create a new snapshot.

2) --check will create a snapshot only if a scheduled snapshot is due

3) Use --restore without other options to select options interactively

4) UUID can be specified instead of device name

5) Default values will be loaded from app config if options are not specified

EXAMPLES

timeshift --list

timeshift --list --snapshot-device /dev/sda1

timeshift --create --comments after update --tags D

timeshift --restore

timeshift --restore --snapshot '2014-10-12_16-29-08' --target /dev/sda1

timeshift --delete --snapshot '2014-10-12_16-29-08'

timeshift --delete-all